version: '3.8'
services:
  # 1. 관리 도구 (Nginx Proxy Manager)
  npm:
    image: 'jc21/nginx-proxy-manager:latest'
    container_name: npm-admin
    restart: unless-stopped
    ports:
      - '80:80'      # HTTP 외부 접속용
      - '81:81'      # 관리자 화면 접속용 (HMI 역할)
      - '443:443'    # HTTPS 보안 접속용
    volumes:
      - ./npm/data:/data
      - ./npm/letsencrypt:/etc/letsencrypt

  # 2. 실제 홈페이지 (공사 중 페이지)
  web-server:
    image: nginx:alpine
    container_name: hanmo-home
    restart: unless-stopped
    volumes:
      - ./html:/usr/share/nginx/html:ro
